<?php

namespace Helpers\Outil;

use Helpers\Session\ParseBase1;

/**
 * WARNING : not to be mistaken with Paravrac::isEnvProd
 */
class EnvHelper
{
    public function __construct()
    {
    }

    public function getEnv() :string
    {
        if (!empty($_SESSION['environnement'])) {
            return $_SESSION['environnement'];
        }
        
        if (file_exists((new ParseBase1())->getRep()->etc.'environnement/Parametres.json')) {
            $parametrage = file_get_contents((new ParseBase1())->getRep()->etc.'environnement/Parametres.json', true);
            if ($parametrage === false) {
                throw new \Exception('!!!');
            }
            $parametrage = json_decode($parametrage, true);
            $_SESSION['environnement'] = $parametrage['type'];
        } else {
            $_SESSION['environnement'] = 'production';
        }
        if (getenv('TYPE_ENVIRONNEMENT_RECETTE') == 'true' && $_SESSION['environnement'] != 'nonregression') {
            $_SESSION['environnement'] = 'developpement';
        }
        return $_SESSION['environnement'];
    }
}
